<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2008-11-27 11:31:09'
LAST_UPDATE='2021-11-28 13:49:07'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ETS={'#DOCUMENTS';'xs:schema'}
TITLE_EXPR='title = "All Components";

(parentTitle = getStringParam("docTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = "All Components";

(parentTitle = getStringParam("docTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$scope';
		param.description='Specifies the scope passed to subtemplates (called from this template):
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"schema" - schema overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;schema';
		param.fixed='true';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
		param.defaultValue='All Components';
		param.fixed='true';
	}
	PARAM={
		param.name='docTitle';
		param.title='Documentation Title';
		param.type='string';
	}
	PARAM={
		param.name='doc';
		param.title='Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.allcomps';
		param.title='All Component Summary';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.allcomps.comps.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.allcomps.comps.for.elements';
		param.title='Elements';
		param.title.style.italic='true';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.for.elements.local';
		param.title='Local Elements';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='all;complexType;none';
		param.enum.displayValues='all;with complex type;none';
	}
	PARAM={
		param.name='doc.allcomps.comps.for.complexTypes';
		param.title='Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.for.simpleTypes';
		param.title='Simple Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.for.groups';
		param.title='Element Groups';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.for.attributeGroups';
		param.title='Attribute Groups';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.for.attributes';
		param.title='Global Attributes';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.annotation';
		param.title='Annotation';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile';
		param.title='Component Profile';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.type';
		param.title='Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.content';
		param.title='Content';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.abstract';
		param.title='Abstract';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.block';
		param.title='Block';
		param.group='true';
		param.group.enablingExpr='! hasParamValue("", "none")';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.block.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.block.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.final';
		param.title='Final';
		param.group='true';
		param.group.enablingExpr='! hasParamValue("", "none")';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.final.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.final.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.subst';
		param.title='Subst.Gr';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.subst.heads';
		param.title='List of group heads';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.subst.members';
		param.title='List of group members';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.nillable';
		param.title='Nillable';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.defined';
		param.title='Defined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.redefines';
		param.title='Redefines';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.redefined';
		param.title='Redefined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.lists';
		param.title='Related Component Lists';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.lists.contentAttributes';
		param.title='Content Attributes';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.lists.contentAttributes.value';
		param.title='Show Type/Value Info';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.lists.contentAttributes.wildcards';
		param.title='Include Wildcards';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.lists.contentElements';
		param.title='Content Elements';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.comps.lists.contentElements.layout';
		param.title='List Layout';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='flow;one_column;two_columns;optimal';
		param.enum.displayValues='flow;one column;two columns;optimal';
		param.defaultValue='optimal';
	}
	PARAM={
		param.name='doc.allcomps.comps.lists.contentElements.wildcards';
		param.title='Include Wildcards';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.columns';
		param.title='Generate page columns';
		param.type='boolean';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.allcomps';
		param.title='All Component Summary';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Verdana';
		text.font.size='13';
		text.font.style.bold='true';
		text.color.foreground='#4477AA';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#4477AA';
		par.margin.top='0';
		par.margin.bottom='7.5';
		par.padding.left='4';
		par.padding.right='4';
		par.padding.top='2.5';
		par.padding.bottom='2.5';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs3';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Profile Item';
		style.id='cs4';
		text.font.name='Arial';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Profile Item Title';
		style.id='ps3';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs3';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" && output.demoIncomplete'
		TEMPLATE_FILE='../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<AREA_SEC>
		FMT={
			par.style='ps1';
		}
		<AREA>
			<PAGE_BREAK>
				COND='getBooleanParam("page.start.allcomps")'
			</PAGE_BREAK>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='All Component Summary'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER COLLAPSED='true'>
		DESCR='all documented components'
		FMT={
			sec.spacing.before='10';
		}
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Components:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<FOLDER>
				FMT={
					sec.outputStyle='text-par';
					sec.indent.block='true';
					text.style='cs4';
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<BODY>
					<AREA_SEC>
						DESCR='elements'
						COND='! getBooleanParam("doc.allcomps.comps.for.elements") ? return false;

global_count = countElementsByLPath (
  \'#DOCUMENT /
   xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
   xs:element\'
);

local_count = countElementsByLPath (

  \'#DOCUMENT /
   xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
   descendant::xs:%localElement\',

  BooleanQuery (
    ! hasAttr("ref")
    &&
    {
      // which local elements to list?
      local = getStringParam("doc.allcomps.comps.for.elements.local");

      local == "complexType" ?
        ((typeQName = getAttrQNameValue("type")) != null) ?
        {
          mainXSD = findElementByKey ("main-xsds", getXMLDocument().id);

          checkElementsByKey (
            "types", typeQName,
            BooleanQuery (
              instanceOf("xs:complexType")
              &&
              checkElementByKey ("main-xsds", getXMLDocument().id, mainXSD)
            )
          )
        }
        : hasChild("xs:complexType")
      :
      local == "all"
    }
  )
);

global_count + local_count > 0 ? { 
  setVar ("global_count", global_count);
  setVar ("local_count", local_count);
  true 
} : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='elements'
										FMT={
											text.spacing.nbsp='true';
										}
										<DOC_HLINK>
											HKEYS={
												'"all-components"';
												'"element-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='('
									</TEXT_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<PANEL>
										COND='findHyperTarget (
  Array (
    "all-components",
    "top-level-element-summary"
  )
) != null'
										FMT={
											ctrl.size.width='136.5';
											ctrl.size.height='38.3';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='top-level'
														<DOC_HLINK>
															HKEYS={
																'"all-components"';
																'"top-level-element-summary"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='text';
															txtfl.separator.text=' / ';
														}
													</SEPARATOR>
													<TEXT_CTRL>
														COND='findHyperTarget (
  Array (
    "all-components",
    "other-element-summary"
  )
) != null'
														TEXT='other'
														<DOC_HLINK>
															HKEYS={
																'"all-components"';
																'"other-element-summary"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='none';
														}
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT=';'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='getVar("global_count").toInt() > 0'
										FMT={
											ctrl.size.width='139.5';
											ctrl.size.height='38.3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='getVar("global_count")'
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='global'
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='nbtxt';
															txtfl.separator.text=' + ';
														}
													</SEPARATOR>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='getVar("local_count").toInt() > 0'
										FMT={
											ctrl.size.width='119';
											ctrl.size.height='38';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='getVar("local_count")'
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='local'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT=')'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='complexTypes'
						COND='! getBooleanParam("doc.allcomps.comps.for.complexTypes") ? return false;

count = countElementsByLPath (
  \'#DOCUMENT /
   xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
   descendant::xs:complexType\'
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='complexTypes'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-complexType-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='simpleTypes'
						COND='! getBooleanParam("doc.allcomps.comps.for.simpleTypes") ? return false;

count = countElementsByLPath (
  \'#DOCUMENT /
   xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
   descendant::xs:simpleType\'
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='simpleTypes'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-simpleType-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='element groups'
						COND='! getBooleanParam("doc.allcomps.comps.for.groups") ? return false;

count = countElementsByLPath (
  \'#DOCUMENT /
   xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
   descendant::xs:group\'
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='element groups'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-group-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='attribute groups'
						COND='! getBooleanParam("doc.allcomps.comps.for.attributeGroups") ? return false;

count = countElementsByLPath (
  \'#DOCUMENT /
   xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
   descendant::xs:attributeGroup\'
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='attribute groups'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-attributeGroup-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='global attributes'
						COND='! getBooleanParam("doc.allcomps.comps.for.attributes") ? return false;

count = countElementsByLPath (
  \'#DOCUMENT /
   xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
   xs:attribute\'
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='global attributes'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-attribute-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='elements'
		COND='getBooleanParam("doc.allcomps.comps.for.elements")'
		TEMPLATE_FILE='../element/elementSummary.tpl'
		PASSED_PARAMS={
			'$hyperTargetFirstKey','"all-components"';
			'doc.frgm.comps.for.elements','getBooleanParam("doc.allcomps.comps.for.elements")';
			'doc.frgm.comps.for.elements.local','getStringParam("doc.allcomps.comps.for.elements.local")';
			'doc.frgm.comps.sorting','getBooleanParam("doc.allcomps.comps.sorting")';
			'doc.frgm.comps.annotation','getStringParam("doc.allcomps.comps.annotation")';
			'doc.frgm.comps.profile','getBooleanParam("doc.allcomps.comps.profile")';
			'doc.frgm.comps.profile.namespace','getBooleanParam("doc.allcomps.comps.profile.namespace")';
			'doc.frgm.comps.profile.type','getBooleanParam("doc.allcomps.comps.profile.type")';
			'doc.frgm.comps.profile.content','getBooleanParam("doc.allcomps.comps.profile.content")';
			'doc.frgm.comps.profile.abstract','getBooleanParam("doc.allcomps.comps.profile.abstract")';
			'doc.frgm.comps.profile.block','getStringParam("doc.allcomps.comps.profile.block")';
			'doc.frgm.comps.profile.block.value','getBooleanParam("doc.allcomps.comps.profile.block.value")';
			'doc.frgm.comps.profile.block.meaning','getBooleanParam("doc.allcomps.comps.profile.block.meaning")';
			'doc.frgm.comps.profile.final','getStringParam("doc.allcomps.comps.profile.final")';
			'doc.frgm.comps.profile.final.value','getBooleanParam("doc.allcomps.comps.profile.final.value")';
			'doc.frgm.comps.profile.final.meaning','getBooleanParam("doc.allcomps.comps.profile.final.meaning")';
			'doc.frgm.comps.profile.subst','getBooleanParam("doc.allcomps.comps.profile.subst")';
			'doc.frgm.comps.profile.subst.heads','getBooleanParam("doc.allcomps.comps.profile.subst.heads")';
			'doc.frgm.comps.profile.subst.members','getBooleanParam("doc.allcomps.comps.profile.subst.members")';
			'doc.frgm.comps.profile.nillable','getBooleanParam("doc.allcomps.comps.profile.nillable")';
			'doc.frgm.comps.profile.defined','getBooleanParam("doc.allcomps.comps.profile.defined")';
			'doc.frgm.comps.profile.includes','getBooleanParam("doc.allcomps.comps.profile.includes")';
			'doc.frgm.comps.profile.used','getBooleanParam("doc.allcomps.comps.profile.used")';
			'doc.frgm.comps.lists','getBooleanParam("doc.allcomps.comps.lists")';
			'doc.frgm.comps.lists.contentAttributes','getBooleanParam("doc.allcomps.comps.lists.contentAttributes")';
			'doc.frgm.comps.lists.contentAttributes.value','getBooleanParam("doc.allcomps.comps.lists.contentAttributes.value")';
			'doc.frgm.comps.lists.contentAttributes.wildcards','getBooleanParam("doc.allcomps.comps.lists.contentAttributes.wildcards")';
			'doc.frgm.comps.lists.contentElements','getBooleanParam("doc.allcomps.comps.lists.contentElements")';
			'doc.frgm.comps.lists.contentElements.layout','getStringParam("doc.allcomps.comps.lists.contentElements.layout")';
			'doc.frgm.comps.lists.contentElements.wildcards','getBooleanParam("doc.allcomps.comps.lists.contentElements.wildcards")';
		}
		FMT={
			sec.spacing.before='10';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='complexTypes'
		COND='getBooleanParam("doc.allcomps.comps.for.complexTypes")'
		TEMPLATE_FILE='../type/complexTypeSummary.tpl'
		PASSED_PARAMS={
			'doc.frgm.comps.sorting','getBooleanParam("doc.allcomps.comps.sorting")';
			'doc.frgm.comps.annotation','getStringParam("doc.allcomps.comps.annotation")';
			'doc.frgm.comps.profile','getBooleanParam("doc.allcomps.comps.profile")';
			'doc.frgm.comps.profile.namespace','getBooleanParam("doc.allcomps.comps.profile.namespace")';
			'doc.frgm.comps.profile.content','getBooleanParam("doc.allcomps.comps.profile.content")';
			'doc.frgm.comps.profile.abstract','getBooleanParam("doc.allcomps.comps.profile.abstract")';
			'doc.frgm.comps.profile.block','getStringParam("doc.allcomps.comps.profile.block")';
			'doc.frgm.comps.profile.block.value','getBooleanParam("doc.allcomps.comps.profile.block.value")';
			'doc.frgm.comps.profile.block.meaning','getBooleanParam("doc.allcomps.comps.profile.block.meaning")';
			'doc.frgm.comps.profile.final','getStringParam("doc.allcomps.comps.profile.final")';
			'doc.frgm.comps.profile.final.value','getBooleanParam("doc.allcomps.comps.profile.final.value")';
			'doc.frgm.comps.profile.final.meaning','getBooleanParam("doc.allcomps.comps.profile.final.meaning")';
			'doc.frgm.comps.profile.defined','getBooleanParam("doc.allcomps.comps.profile.defined")';
			'doc.frgm.comps.profile.includes','getBooleanParam("doc.allcomps.comps.profile.includes")';
			'doc.frgm.comps.profile.redefines','getBooleanParam("doc.allcomps.comps.profile.redefines")';
			'doc.frgm.comps.profile.redefined','getBooleanParam("doc.allcomps.comps.profile.redefined")';
			'doc.frgm.comps.profile.used','getBooleanParam("doc.allcomps.comps.profile.used")';
			'doc.frgm.comps.lists','getBooleanParam("doc.allcomps.comps.lists")';
			'doc.frgm.comps.lists.contentAttributes','getBooleanParam("doc.allcomps.comps.lists.contentAttributes")';
			'doc.frgm.comps.lists.contentAttributes.value','getBooleanParam("doc.allcomps.comps.lists.contentAttributes.value")';
			'doc.frgm.comps.lists.contentAttributes.wildcards','getBooleanParam("doc.allcomps.comps.lists.contentAttributes.wildcards")';
			'doc.frgm.comps.lists.contentElements','getBooleanParam("doc.allcomps.comps.lists.contentElements")';
			'doc.frgm.comps.lists.contentElements.layout','getStringParam("doc.allcomps.comps.lists.contentElements.layout")';
			'doc.frgm.comps.lists.contentElements.wildcards','getBooleanParam("doc.allcomps.comps.lists.contentElements.wildcards")';
		}
		FMT={
			sec.spacing.before='10';
		}
		<HTARGET>
			HKEYS={
				'"all-complexType-summary"';
			}
		</HTARGET>
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='simpleTypes'
		COND='getBooleanParam("doc.allcomps.comps.for.simpleTypes")'
		TEMPLATE_FILE='../type/simpleTypeSummary.tpl'
		PASSED_PARAMS={
			'doc.frgm.comps.sorting','getBooleanParam("doc.allcomps.comps.sorting")';
			'doc.frgm.comps.annotation','getStringParam("doc.allcomps.comps.annotation")';
			'doc.frgm.comps.profile','getBooleanParam("doc.allcomps.comps.profile")';
			'doc.frgm.comps.profile.namespace','getBooleanParam("doc.allcomps.comps.profile.namespace")';
			'doc.frgm.comps.profile.content','getBooleanParam("doc.allcomps.comps.profile.content")';
			'doc.frgm.comps.profile.abstract','getBooleanParam("doc.allcomps.comps.profile.abstract")';
			'doc.frgm.comps.profile.block','getStringParam("doc.allcomps.comps.profile.block")';
			'doc.frgm.comps.profile.block.value','getBooleanParam("doc.allcomps.comps.profile.block.value")';
			'doc.frgm.comps.profile.block.meaning','getBooleanParam("doc.allcomps.comps.profile.block.meaning")';
			'doc.frgm.comps.profile.final','getStringParam("doc.allcomps.comps.profile.final")';
			'doc.frgm.comps.profile.final.value','getBooleanParam("doc.allcomps.comps.profile.final.value")';
			'doc.frgm.comps.profile.final.meaning','getBooleanParam("doc.allcomps.comps.profile.final.meaning")';
			'doc.frgm.comps.profile.defined','getBooleanParam("doc.allcomps.comps.profile.defined")';
			'doc.frgm.comps.profile.includes','getBooleanParam("doc.allcomps.comps.profile.includes")';
			'doc.frgm.comps.profile.redefines','getBooleanParam("doc.allcomps.comps.profile.redefines")';
			'doc.frgm.comps.profile.redefined','getBooleanParam("doc.allcomps.comps.profile.redefined")';
			'doc.frgm.comps.profile.used','getBooleanParam("doc.allcomps.comps.profile.used")';
		}
		FMT={
			sec.spacing.before='10';
		}
		<HTARGET>
			HKEYS={
				'"all-simpleType-summary"';
			}
		</HTARGET>
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='element groups'
		COND='getBooleanParam("doc.allcomps.comps.for.groups")'
		TEMPLATE_FILE='../groups/groupSummary.tpl'
		PASSED_PARAMS={
			'doc.frgm.comps.sorting','getBooleanParam("doc.allcomps.comps.sorting")';
			'doc.frgm.comps.annotation','getStringParam("doc.allcomps.comps.annotation")';
			'doc.frgm.comps.profile','getBooleanParam("doc.allcomps.comps.profile")';
			'doc.frgm.comps.profile.namespace','getBooleanParam("doc.allcomps.comps.profile.namespace")';
			'doc.frgm.comps.profile.content','getBooleanParam("doc.allcomps.comps.profile.content")';
			'doc.frgm.comps.profile.defined','getBooleanParam("doc.allcomps.comps.profile.defined")';
			'doc.frgm.comps.profile.includes','getBooleanParam("doc.allcomps.comps.profile.includes")';
			'doc.frgm.comps.profile.redefines','getBooleanParam("doc.allcomps.comps.profile.redefines")';
			'doc.frgm.comps.profile.redefined','getBooleanParam("doc.allcomps.comps.profile.redefined")';
			'doc.frgm.comps.profile.used','getBooleanParam("doc.allcomps.comps.profile.used")';
			'doc.frgm.comps.lists','getBooleanParam("doc.allcomps.comps.lists")';
			'doc.frgm.comps.lists.contentElements','getBooleanParam("doc.allcomps.comps.lists.contentElements")';
			'doc.frgm.comps.lists.contentElements.layout','getStringParam("doc.allcomps.comps.lists.contentElements.layout")';
			'doc.frgm.comps.lists.contentElements.wildcards','getBooleanParam("doc.allcomps.comps.lists.contentElements.wildcards")';
		}
		FMT={
			sec.spacing.before='10';
		}
		<HTARGET>
			HKEYS={
				'"all-group-summary"';
			}
		</HTARGET>
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='attribute groups'
		COND='getBooleanParam("doc.allcomps.comps.for.attributeGroups")'
		TEMPLATE_FILE='../groups/attributeGroupSummary.tpl'
		PASSED_PARAMS={
			'doc.frgm.comps.sorting','getBooleanParam("doc.allcomps.comps.sorting")';
			'doc.frgm.comps.annotation','getStringParam("doc.allcomps.comps.annotation")';
			'doc.frgm.comps.profile','getBooleanParam("doc.allcomps.comps.profile")';
			'doc.frgm.comps.profile.namespace','getBooleanParam("doc.allcomps.comps.profile.namespace")';
			'doc.frgm.comps.profile.content','getBooleanParam("doc.allcomps.comps.profile.content")';
			'doc.frgm.comps.profile.defined','getBooleanParam("doc.allcomps.comps.profile.defined")';
			'doc.frgm.comps.profile.includes','getBooleanParam("doc.allcomps.comps.profile.includes")';
			'doc.frgm.comps.profile.redefines','getBooleanParam("doc.allcomps.comps.profile.redefines")';
			'doc.frgm.comps.profile.redefined','getBooleanParam("doc.allcomps.comps.profile.redefined")';
			'doc.frgm.comps.profile.used','getBooleanParam("doc.allcomps.comps.profile.used")';
			'doc.frgm.comps.lists','getBooleanParam("doc.allcomps.comps.lists")';
			'doc.frgm.comps.lists.contentAttributes','getBooleanParam("doc.allcomps.comps.lists.contentAttributes")';
			'doc.frgm.comps.lists.contentAttributes.value','getBooleanParam("doc.allcomps.comps.lists.contentAttributes.value")';
			'doc.frgm.comps.lists.contentAttributes.wildcards','getBooleanParam("doc.allcomps.comps.lists.contentAttributes.wildcards")';
		}
		FMT={
			sec.spacing.before='10';
		}
		<HTARGET>
			HKEYS={
				'"all-attributeGroup-summary"';
			}
		</HTARGET>
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='global attributes'
		COND='getBooleanParam("doc.allcomps.comps.for.attributes")'
		TEMPLATE_FILE='../attribute/globalAttributeSummary.tpl'
		PASSED_PARAMS={
			'doc.frgm.comps.sorting','getBooleanParam("doc.allcomps.comps.sorting")';
			'doc.frgm.comps.annotation','getStringParam("doc.allcomps.comps.annotation")';
			'doc.frgm.comps.profile','getBooleanParam("doc.allcomps.comps.profile")';
			'doc.frgm.comps.profile.namespace','getBooleanParam("doc.allcomps.comps.profile.namespace")';
			'doc.frgm.comps.profile.type','getBooleanParam("doc.allcomps.comps.profile.type")';
			'doc.frgm.comps.profile.defined','getBooleanParam("doc.allcomps.comps.profile.defined")';
			'doc.frgm.comps.profile.used','getBooleanParam("doc.allcomps.comps.profile.used")';
		}
		FMT={
			sec.spacing.before='10';
		}
		<HTARGET>
			HKEYS={
				'"all-attribute-summary"';
			}
		</HTARGET>
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Bottom Message'
		COND='output.type == "document"'
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../about.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				COND='output.demoIncomplete'
				TEMPLATE_FILE='../demo-incomplete.tpl'
				PASSED_PARAMS={
					'$detailed','true';
				}
				FMT={
					sec.spacing.before='5';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</ROOT>
CHECKSUM='BgzSXyGba+EE5i4csqbqdVOh+z9AH6EogWuxFUO6TkM'
</FLEXDOCXYZ_TEMPLATE>