<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2004-06-21 01:50:00'
LAST_UPDATE='2021-11-28 13:49:08'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ETS={'#DOCUMENTS';'xs:schema'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='string';
	}
	PARAM={
		param.name='$scope';
		param.description='Indicates the scope of the main document for which this template is called:
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"schema" - schema overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;schema';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
	}
	PARAM={
		param.name='doc';
		param.title='Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.frgm';
		param.title='Fragments';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.frgm.comps';
		param.title='Component Summary';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.frgm.comps.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.annotation';
		param.title='Annotation';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.frgm.comps.profile';
		param.title='Component Profile';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.profile.content';
		param.title='Content';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.profile.defined';
		param.title='Defined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.profile.redefines';
		param.title='Redefines';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.profile.redefined';
		param.title='Redefined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.lists';
		param.title='Related Component Lists';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.lists.contentElements';
		param.title='Content Elements';
		param.group='true';
		param.group.enablingExpr='getBooleanParam("")';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.comps.lists.contentElements.layout';
		param.title='List Layout';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='flow;one_column;two_columns;optimal';
		param.enum.displayValues='flow;one column;two columns;optimal';
		param.defaultValue='optimal';
	}
	PARAM={
		param.name='doc.frgm.comps.lists.contentElements.wildcards';
		param.title='Include Wildcards';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.columns';
		param.title='Generate page columns';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Component List (Small)';
		style.id='cs1';
		style.description='Text formatting of component lists included in Content Element Details';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Component List Heading 3';
		style.id='ps1';
		text.font.name='SansSerif';
		text.font.size='8';
		text.font.style.bold='true';
		text.color.background='#CCCCFF';
		text.color.opaque='true';
		par.margin.top='6';
		par.margin.bottom='6';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message (Small)';
		style.id='cs3';
		text.font.size='9';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs4';
		text.font.size='9';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs5';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs6';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Number';
		style.id='cs7';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Summary Heading';
		style.id='ps3';
		text.font.size='12';
		text.font.style.bold='true';
	}
	CHAR_STYLE={
		style.name='Summary Item';
		style.id='cs8';
		text.font.name='Verdana';
		text.font.size='8';
		text.font.style.bold='true';
	}
	TABLE_STYLE={
		style.name='Summary Table';
		style.id='ts1';
		table.sizing='Relative';
		table.cell.padding.both='2.5';
	}
	TCELL_STYLE={
		style.name='Summary Table Cell';
		style.id='tcs1';
	}
	TROW_STYLE={
		style.name='Summary Table Header';
		style.id='trs1';
		trow.bkgr.color='#CCCCFF';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs5';
}
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs6';
			table.sizing='Relative';
			table.cell.padding.horz='1';
			table.cell.padding.vert='0';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
						FMT={
							ctrl.size.width='398.3';
							ctrl.size.height='18';
						}
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='Element Group Summary'
						FMT={
							ctrl.size.width='101.3';
							ctrl.size.height='18';
							tcell.align.horz='Right';
							tcell.option.nowrap='true';
						}
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<ELEMENT_ITER>
		INIT_EXPR='output.format.supportsPageRefs ?
{
  showPageColumn = false;

  getBooleanParam("page.columns") && output.generating ?
  {
    index = 0;
    repeat (BooleanQuery ({

      (el = iterator.itemAt (index).toElement()) != null ?
      {
        showPageColumn = findHyperTarget (Array (
          el.id, Array ("detail", "xml-source-location")
        )) != null;

        index = index + 1;
        ! showPageColumn

      } : false;
    }));
  };

  thisContext.setVar ("showPageColumn", showPageColumn)
}'
		TARGET_ET='xs:group'
		SCOPE='advanced-location-rules'
		RULES={
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
			'#DOCUMENTS[hasParamValue("$scope", "namespace")] -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
			'xs:schema -> xs:group',recursive;
			'xs:schema -> xs:redefine/xs:group',recursive;
		}
		SORTING='by-compound-key'
		SORTING_KEY={
			{expr='toXMLName (
  findPredecessorByType("xs:schema").getServiceAttr("targetNamespace").toString(),
  getAttrStringValue ("name")
)',ascending};
			{expr='getServiceAttr("version").toInt()',ascending};
		}
		SORTING_COND='getBooleanParam("doc.frgm.comps.sorting")'
		DEMO_LIMIT_KEY='groups'
		FMT={
			sec.outputStyle='table';
			table.style='ts1';
			table.sizing='Relative';
		}
		<HEADER>
			<AREA_SEC>
				FMT={
					trow.style='trs1';
					trow.page.keepTogether='true';
					trow.page.keepWithNext='true';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Element Group Summary'
								FMT={
									ctrl.size.width='467.3';
									ctrl.size.height='18';
									tcell.style='tcs1';
									par.style='ps3';
								}
							</TEXT_CTRL>
							<TEXT_CTRL>
								COND='output.format.supportsPageRefs &&
thisContext.getBooleanVar ("showPageColumn")'
								TEXT='Page'
								FMT={
									ctrl.size.width='32.3';
									ctrl.size.height='18';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									tcell.align.horz='Center';
									text.style='cs7';
									text.font.style.bold='true';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				FMT={
					trow.cell.align.vert='Top';
					trow.page.keepTogether='true';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Group Name'
								FMT={
									content.outputStyle='text-par';
									ctrl.size.width='150';
									ctrl.size.height='18';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									text.style='cs8';
									par.option.nowrap='true';
								}
							</SS_CALL_CTRL>
							<SS_CALL_CTRL>
								SS_NAME='Group Info'
								FMT={
									ctrl.size.width='318';
									ctrl.size.height='18';
									tcell.style='tcs1';
									tcell.sizing='Relative';
								}
							</SS_CALL_CTRL>
							<DATA_CTRL>
								COND='output.format.supportsPageRefs &&
thisContext.getBooleanVar ("showPageColumn")'
								DOCFIELD='page-htarget'
								FMT={
									ctrl.size.width='31.5';
									ctrl.size.height='18';
									ctrl.option.noHLinkFmt='true';
									tcell.sizing='Minimal';
									tcell.align.horz='Center';
									text.style='cs7';
									text.hlink.fmt='none';
								}
								<DOC_HLINK>
									HKEYS={
										'contextElement.id';
										'Array ("detail", "xml-source-location")';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
<STOCK_SECTIONS>
	<FOLDER>
		SS_NAME='Group Info'
		MATCHING_ET='xs:group'
		<BODY>
			<AREA_SEC COLLAPSED='true'>
				DESCR='if this component is excluded from demo documentation'
				COND='exceedsDemoLimit("groups")'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs3';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				COND='hasParamValue("doc.frgm.comps.annotation", "first_sentence")'
				OUTPUT_CHECKER_EXPR='getValuesByLPath(
  "xs:annotation/xs:documentation//(#TEXT | #CDATA)"
).isBlank() ? -1 : 1'
				TEMPLATE_FILE='../ann/firstSentence.tpl'
				FMT={
					text.style='cs4';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				COND='getBooleanParam("doc.frgm.comps.profile")'
				TEMPLATE_FILE='groupProfile.tpl'
				PASSED_PARAMS={
					'$nsURI','findPredecessorByType("xs:schema").getServiceAttr("targetNamespace")';
					'doc.comp.profile.namespace','getBooleanParam("doc.frgm.comps.profile.namespace")';
					'doc.comp.profile.content','getBooleanParam("doc.frgm.comps.profile.content")';
					'doc.comp.profile.defined','getBooleanParam("doc.frgm.comps.profile.defined")';
					'doc.comp.profile.includes','getBooleanParam("doc.frgm.comps.profile.includes")';
					'doc.comp.profile.redefines','getBooleanParam("doc.frgm.comps.profile.redefines")';
					'doc.comp.profile.redefined','getBooleanParam("doc.frgm.comps.profile.redefined")';
					'doc.comp.profile.used','getBooleanParam("doc.frgm.comps.profile.used")';
				}
				FMT={
					sec.spacing.before='5';
				}
			</TEMPLATE_CALL>
			<FOLDER>
				DESCR='Lists of Related Components'
				COND='getBooleanParam("doc.frgm.comps.lists")'
				<BODY>
					<TEMPLATE_CALL>
						COND='getBooleanParam("doc.frgm.comps.lists.contentElements")'
						TEMPLATE_FILE='../element/contentElementList.tpl'
						PASSED_PARAMS={
							'$contentModelKey','contextElement.id';
							'$indent','false';
							'$includeWildcards','getBooleanParam("doc.frgm.comps.lists.contentElements.wildcards")';
							'doc.comp.lists.layout','getStringParam("doc.frgm.comps.lists.contentElements.layout")';
						}
						STYLE_OVERRIDES={
							'Component List Heading 1','ps1';
							'Component List','cs1';
						}
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
			<TEMPLATE_CALL>
				DESCR='full annotation'
				COND='hasParamValue("doc.frgm.comps.annotation", "full")'
				OUTPUT_CHECKER_EXPR='getValuesByLPath(
  "xs:annotation/xs:documentation//(#TEXT | #CDATA)"
).isBlank() ? -1 : 1'
				TEMPLATE_FILE='../ann/annotation.tpl'
				FMT={
					sec.spacing.before='7';
					text.style='cs4';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='Group Name'
		TEMPLATE_FILE='../component/componentName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='eBNdrzL93LC3BB38Gank8pNE6IY5mzIzKKvRiK7jJiQ'
</FLEXDOCXYZ_TEMPLATE>