<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2013-07-22 07:00:14'
LAST_UPDATE='2021-11-28 13:49:08'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ET='xs:schema'
TITLE_EXPR='title = \'XML Source of "\' +
           getXMLDocument().getAttrStringValue("xmlName") + \'"\';

(parentTitle = getStringParam("docTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = \'XML Source of "\' + 
          getXMLDocument().getAttrStringValue("xmlName") + \'"\';

(parentTitle = getStringParam("docTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXSD';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xsds", getXMLDocument().id)';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
		param.defaultValue.expr='\'XML Source of "\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\'';
	}
	PARAM={
		param.name='docTitle';
		param.title='Documentation Title';
		param.type='string';
	}
	PARAM={
		param.name='doc.schema';
		param.title='Schema Overview';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.schema.xml';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.separate';
		param.title='Separate File';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.schema.xml.remove.anns';
		param.title='Remove Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp';
		param.title='Component Documentation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.diagram';
		param.title='Diagram';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.diagram.links';
		param.title='Hyperlinks';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.diagram.links.compositors';
		param.title='Compositors';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.fileLocation';
		param.title='File Locations';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show.fileLocation.relative';
		param.title='Relative Path';
		param.type='boolean';
	}
	PARAM={
		param.name='show.fileLocation.hyperlink';
		param.title='Hyperlink';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Verdana';
		text.font.size='13';
		text.font.style.bold='true';
		text.color.foreground='#4477AA';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#4477AA';
		par.margin.top='0';
		par.margin.bottom='7.5';
		par.padding.left='4';
		par.padding.right='4';
		par.padding.top='2.5';
		par.padding.bottom='2.5';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs2';
		text.font.name='Arial';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs3';
		text.font.size='8.4';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs4';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps3';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs5';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps4';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='6';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps5';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs4';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"xml-source"';
	}
</HTARGET>
<HTARGET>
	HKEYS={
		'getXMLDocument().id';
		'"xml-source"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs5';
			table.sizing='Relative';
			table.cell.padding.horz='1';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
						FMT={
							ctrl.size.width='282.8';
							ctrl.size.height='18';
						}
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='XML Source'
						FMT={
							ctrl.size.width='216.8';
							ctrl.size.height='18';
							tcell.align.horz='Right';
						}
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" && output.demoIncomplete'
		TEMPLATE_FILE='../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<AREA_SEC>
		COND='output.type == "document"'
		FMT={
			par.style='ps1';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='XML Source of'
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='\'"\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\''
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		COND='output.type == "document"'
		FMT={
			sec.outputStyle='table';
			table.cell.padding.both='0';
			table.border.style='none';
			table.border.css.render='true';
			table.page.keepTogether='true';
		}
		<BODY>
			<AREA_SEC>
				FMT={
					trow.cell.align.vert='Top';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='See Also:'
								FMT={
									ctrl.size.width='60';
									ctrl.size.height='18';
									par.style='ps4';
								}
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='Schema Overview'
								FMT={
									ctrl.size.width='439.5';
									ctrl.size.height='18';
									par.style='ps5';
								}
								<DOC_HLINK>
									HKEYS={
										'contextElement.id';
										'"detail"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='Schema Location'
				COND='getBooleanParam("show.fileLocation")'
				CONTEXT_ELEMENT_EXPR='getXMLDocument()'
				MATCHING_ET='#DOCUMENT'
				FMT={
					trow.cell.align.vert='Top';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Schema Location:'
								FMT={
									ctrl.size.width='60';
									ctrl.size.height='18';
									par.style='ps4';
								}
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='uri = getAttrStringValue("xmlURI");

getBooleanParam("show.fileLocation.relative")
 ? makeRelativePath (uri, mainContext.output.dir) : uri'
								FMT={
									ctrl.size.width='439.5';
									ctrl.size.height='18';
									par.style='ps5';
								}
								<URL_HLINK>
									COND='getBooleanParam("show.fileLocation.hyperlink")'
									TARGET_FRAME_EXPR='"_blank"'
									URL_EXPR='uri = getAttrStringValue("xmlURI");

getBooleanParam("show.fileLocation.relative")
 ? makeRelativePath (uri, output.dir, true) : toURL (uri)'
								</URL_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='XML SOURCE'
		CONTEXT_ELEMENT_EXPR='getXMLDocument()'
		MATCHING_ET='#DOCUMENT'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs3';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.anns','getBooleanParam("doc.schema.xml.remove.anns")';
								}
								FMT={
									text.style='cs2';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.schema.xml.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.style='ts1';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='XML Source'
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				SS_NAME='XML Source'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Bottom Message'
		COND='output.type == "document"'
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../about.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				COND='output.demoIncomplete'
				TEMPLATE_FILE='../demo-incomplete.tpl'
				PASSED_PARAMS={
					'$detailed','true';
				}
				FMT={
					sec.spacing.before='5';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='XML Source'
		MATCHING_ET='#DOCUMENT'
		TEMPLATE_FILE='../xml/documentSource.tpl'
		PASSED_PARAMS={
			'$bookmark.elements','true';
			'$bookmark.elements.compositors','getBooleanParam("doc.comp.diagram") &&
getBooleanParam("doc.comp.diagram.links.compositors")';
			'$bookmark.xmlns','true';
			'$remove.anns','getBooleanParam("doc.schema.xml.remove.anns")';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='eKDccIO5Gw2j3A5REtZwCiJZWjHht7rEHhwgjCgIjf8'
</FLEXDOCXYZ_TEMPLATE>