::======================================================================
:: Windows batch file to test FlexDoc/XML Maven plugin
::======================================================================

::----------------------------------------------------------------------
:: Specify the location of JRE/JDK 11 (or later) here
::----------------------------------------------------------------------
@set JAVA_HOME=C:\Program Files\Java\jdk-17

::----------------------------------------------------------------------
:: Specify the location of Apache Maven here
::----------------------------------------------------------------------
@set M2_HOME=C:\apache-maven-3.8.2

::----------------------------------------------------------------------
:: Set the initial and maximum heap size allocated by JVM when running Maven.
::
:: Since FlexDoc/XML generator will be executed by the same JVM, check 
:: this option when you need to process large quantities of data!
::
:: The JVM options below set the initial and maximum Java heap size to
:: 1024 Mb and 2048 Mb respectively.
::----------------------------------------------------------------------
@set MAVEN_OPTS=-Xms1024m -Xmx2048m

::----------------------------------------------------------------------
:: Running FlexDoc/XML generator from Maven
::----------------------------------------------------------------------
call %M2_HOME%\bin\mvn xyz.flexdoc.xml:default-plugin:1.0:generator

pause