<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2014-09-22 16:39:27'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='<ANY>'
DESCR='Prints the bottom navigation bar, bittim text and about message'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$navbar_type';
		param.description='Type of the document for which the navigation bar
is generated';
		param.type='enum';
		param.enum.values='default;overview;namespace;wsdl_file;schema;component;index;help;all_components;ns_bindings';
	}
	PARAM={
		param.name='$has_bottom_text';
		param.type='boolean';
		param.defaultValue.expr='! getStringParam("show.bottomText").isBlank()';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.bottomText';
		param.title='Bottom Text';
		param.type='text';
	}
	PARAM={
		param.name='show.about';
		param.title='About (footer)';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	HR_STYLE={
		style.name='About Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
	}
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<AREA_SEC>
		<AREA>
			<SPACER>
				FMT={
					spacer.height='12';
				}
			</SPACER>
		</AREA>
	</AREA_SEC>
	<TEMPLATE_CALL>
		DESCR='navigation bar'
		COND='getBooleanParam("nav.bar")'
		TEMPLATE_FILE='navbar.tpl'
		PASSED_PARAMS={
			'$navbar_location','"footer"';
			'$bottom_rule','getBooleanParam("$has_bottom_text") || getBooleanParam("show.about")';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		DESCR='bottom text'
		COND='getBooleanParam("$has_bottom_text")'
		<AREA>
			<HR>
				COND='! getBooleanParam("nav.bar")'
				FMT={
					hr.style='hrs1';
					hr.margin.top='0';
					hr.margin.bottom='0';
					hr.page.keepWithNext='true';
				}
			</HR>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("show.bottomText")'
						FMT={
							txtfl.ehtml.render='true';
						}
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		DESCR='about FlexDoc/XML'
		COND='getBooleanParam("show.about")'
		<BODY>
			<AREA_SEC>
				COND='! getBooleanParam("nav.bar") || getBooleanParam("$has_bottom_text")'
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
							hr.margin.top='0';
							hr.margin.bottom='0';
						}
					</HR>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='about.tpl'
				FMT={
					sec.spacing.before='5';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		COND='output.demoIncomplete'
		TEMPLATE_FILE='demo-incomplete.tpl'
		PASSED_PARAMS={
			'$detailed','true';
		}
		FMT={
			sec.spacing.before='6';
		}
	</TEMPLATE_CALL>
</ROOT>
CHECKSUM='84MWEDSriT2kJilDRN8KTS44xLyo+7Iry?CZK1zTKxw'
</FLEXDOCXYZ_TEMPLATE>