<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2004-06-21 01:50:00'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='xs:schema'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='gen';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='gen.xsd.comp';
		param.title='XSD Components';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element';
		param.title='Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.topLevel';
		param.title='Separate Top-Level Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.topLevel.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.local';
		param.title='Local Elements';
		param.group='true';
		param.type='enum';
		param.enum.values='all;complexType;none';
	}
	PARAM={
		param.name='gen.xsd.comp.element.local.unifyByType';
		param.title='Unify By Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.listFrame.toc';
		param.title='Table of Contents';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema';
		param.title='Schema';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps';
		param.title='XSD Components';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.elements';
		param.title='Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.elements.local';
		param.title='Local Elements';
		param.type='enum';
		param.enum.values='all;complexType;none';
		param.enum.displayValues='all;with complex type;none';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.complexTypes';
		param.title='Complex Types';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.simpleTypes';
		param.title='Simple Types';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.groups';
		param.title='Element Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.attributes';
		param.title='Global Attributes';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.schema.xsd.comps.attributeGroups';
		param.title='Attribute Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='show.elementNameExt';
		param.title='Element Name Extensions';
		param.type='enum';
		param.enum.values='always;repeating;never';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='9.5';
		text.font.style.bold='true';
		par.margin.bottom='6';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 2';
		style.id='ps2';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.top='6';
		par.margin.bottom='3';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 2 (Note)';
		style.id='ps3';
		text.font.name='Tahoma';
		text.font.size='6';
		text.font.style.bold='true';
		par.margin.top='0';
		par.margin.bottom='3';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Item';
		style.id='ps4';
		text.font.size='9';
		par.option.nowrap='true';
	}
	TABLE_STYLE={
		style.name='Frame TOC Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
	PAR_STYLE={
		style.name='Frame TOC Heading';
		style.id='ps5';
		text.font.name='Arial';
		text.font.size='7';
		text.font.style.bold='true';
		par.margin.bottom='2';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame TOC Item';
		style.id='ps6';
		text.font.size='8';
		par.option.nowrap='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Hyperlink (latent)';
		style.id='cs3';
		text.decor.underline='true';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps7';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"listFrame"';
	}
</HTARGET>
<ROOT>
	<AREA_SEC>
		DESCR='XML schema name'
		FMT={
			par.style='ps1';
			par.option.nowrap='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='(hasServiceAttr("embedded") ? 
  "Schema" + getServiceAttr("embeddedSchemaNo") + " in " : "")
+
getXMLDocument().getAttrValue("xmlName")'
						<DOC_HLINK>
							TITLE_EXPR='getBooleanParam("show.linkTitle") ? 
  callStockSection("Schema Link Title")'
							TARGET_FRAME_EXPR='"detailFrame"'
							HKEYS={
								'contextElement.id';
								'Array ("detail", "xml-source")';
							}
						</DOC_HLINK>
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		COND='getBooleanParam("nav.listFrame.toc")'
		FMT={
			sec.outputStyle='table';
			table.style='ts1';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<SS_CALL_CTRL>
						SS_NAME='TOC'
						FMT={
							ctrl.size.width='499.5';
							ctrl.size.height='18';
						}
					</SS_CALL_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		DESCR='XSD COMPONENTS'
		COND='getBooleanParam("nav.listFrame.schema.xsd.comps")'
		ALWAYS_PROC_HDRFTR
		<BODY>
			<FOLDER>
				DESCR='list of elements'
				COND='getBooleanParam("nav.listFrame.schema.xsd.comps.elements")'
				<HTARGET>
					HKEYS={
						'rootElement.id';
						'"listFrame"';
						'"elements"';
					}
				</HTARGET>
				<BODY>
					<ELEMENT_ITER>
						DESCR='top-level elements'
						COND='getBooleanParam("gen.xsd.comp.element.topLevel")'
						TARGET_ET='xs:element'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> xs:element[getServiceAttr("isTopLevel").toBoolean()]';
						}
						SORTING='by-expr'
						SORTING_KEY={expr='getServiceAttr("qName").toQName().toXMLName()',ascending}
						SORTING_COND='getBooleanParam("gen.xsd.comp.element.topLevel.sorting")'
						<HEADER>
							<AREA_SEC>
								FMT={
									par.style='ps2';
								}
								<HTARGET>
									HKEYS={
										'rootElement.id';
										'"listFrame"';
										'"top-level-elements"';
									}
								</HTARGET>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='199.5';
													ctrl.size.height='38.3';
													text.hlink.fmt='style';
													text.hlink.style='cs3';
													text.hlink.style.use='hover';
												}
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  "root element candidates (see summary)"'
													TARGET_FRAME_EXPR='"detailFrame"'
													HKEYS={
														'contextElement.id';
														'"top-level-element-summary"';
													}
												</DOC_HLINK>
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='Top-Level Elements'
															</TEXT_CTRL>
															<DATA_CTRL>
																EXPR='"(" + iterator.numItems + ")"'
															</DATA_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								FMT={
									par.style='ps4';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='none';
										}
										<CTRLS>
											<IMAGE_CTRL>
												COND='getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='../../images/element.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='2.5';
												}
											</IMAGE_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='Component Name'
											</SS_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER>
						DESCR='other elements'
						TARGET_ET='xs:%element'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> descendant::xs:%element/{// if this is a global element, return it
instanceOf("xs:element") ? return Enum (contextElement);

// if this is a reference to global element, return empty enumeration
getAttrValue("ref") != null ? return null;

// otherwise, it is a local element

// if this local element is documented globally replace it with its unifier
// (when several local elements are unified by type, during the generation 
// all of them are represented by a single local element component -- the unifier -- 
// which may be actually even from a different schema); 
// otherwise, return the same element

el = findElementByKey ("xsd-globally-documented-comps", contextElement.id);
Enum (el != null ? el : contextElement)}::xs:%element';
						}
						FILTER='instanceOf("xs:element") ?
  ! getBooleanParam("gen.xsd.comp.element.topLevel") ||
  ! getServiceAttr ("isTopLevel").toBoolean()
:
// case of local element
{
  // which local elements to list?
  local = getStringParam("nav.listFrame.schema.xsd.comps.elements.local");
  
  local == "complexType" ?
    ((typeQName = getAttrQNameValue("type")) != null) ?
      checkElementsByKey (
        "xsd-types", typeQName,
        BooleanQuery (
          instanceOf("xs:complexType")
          &&
          checkElementByKey (
            "main-xmls", getXMLDocument().id, getElementParam("$mainXML")
          )
        )
      )
    : hasChild("xs:complexType")
  :
  local == "all"
}'
						SORTING='by-expr'
						SORTING_KEY={expr='qName = getServiceAttr("qName").toQName();
displayName = toXMLName (qName);

// if this is a local element
instanceOf ("xs:%localElement") ?
{
  hasParamValue("show.elementNameExt", "always")
  ||
  hasParamValue("show.elementNameExt", "repeating") &&
  {
    mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

    mainXMLFilter = BooleanQuery (checkElementByKey (
                      "main-xmls",
                      getXMLDocument().id,
                      mainXML
                    ));

    countElementsByKey ("xsd-elements", qName, mainXMLFilter) > 1
  }
  ? displayName + "$" + callStockSection("elementNameExt") 
  : displayName + "$"

} : displayName',ascending}
						SORTING_COND='getBooleanParam("nav.listFrame.schema.xsd.comps.sorting")'
						<HEADER>
							<AREA_SEC>
								INIT_EXPR='! hasParamValue("gen.xsd.comp.element.local", "none") &&
getBooleanParam("gen.xsd.comp.element.local.unifyByType") ?
{
  elementCount = 0;

  iterate (
    iterator.items,
    @(GOMElement) el,
    FlexQuery ({

      schema_id = rootElement.id;

      count = el.instanceOf ("xs:element") ? 1 :
                countElementsByKey (
                  "xsd-globally-documented-comps",
                  el.id,
                  BooleanQuery (findAncestor("xs:schema").id == schema_id)
                );

      elementCount = elementCount + (count > 0 ? count : 1);
    })
  )
} : {
  elementCount = iterator.numItems
};

setVar ("elementCount", elementCount);'
								FMT={
									sec.spacing.after='2.5';
									par.style='ps2';
								}
								<HTARGET>
									HKEYS={
										'rootElement.id';
										'"listFrame"';
										'"other-elements"';
									}
								</HTARGET>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.margin.bottom='0';
										}
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='348.8';
													ctrl.size.height='38.3';
													text.hlink.fmt='style';
													text.hlink.style='cs3';
													text.hlink.style.use='hover';
												}
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
													TARGET_FRAME_EXPR='"detailFrame"'
													HKEYS={
														'contextElement.id';
														'"other-element-summary"';
													}
												</DOC_HLINK>
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    rootElement.id,
    "listFrame",
    "top-level-elements"
  )
) != null'
																TEXT='Other'
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='Elements'
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT=' ('
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<DATA_CTRL>
																EXPR='iterator.numItems'
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' / ';
																}
															</SEPARATOR>
															<DATA_CTRL>
																COND='getIntVar("elementCount") != iterator.numItems'
																EXPR='getVar("elementCount")'
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT=')'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEMPLATE_CALL_CTRL>
												TEMPLATE_FILE='../element/elementListNote.tpl'
												PASSED_PARAMS={
													'$elements.local','getStringParam("nav.listFrame.schema.xsd.comps.elements.local")';
													'$elements.local.unifiedByType','getIntVar("elementCount") != iterator.numItems';
												}
											</TEMPLATE_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								FMT={
									par.style='ps4';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='none';
										}
										<CTRLS>
											<IMAGE_CTRL>
												COND='getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='../../images/element.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='2.5';
												}
											</IMAGE_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='Component Name'
											</SS_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
			<ELEMENT_ITER>
				DESCR='list of complex types'
				COND='getBooleanParam("nav.listFrame.schema.xsd.comps.complexTypes")'
				TARGET_ET='xs:complexType'
				SCOPE='simple-location-rules'
				RULES={
					'* -> descendant::xs:complexType';
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.schema.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id';
								'"listFrame"';
								'"complexTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='190.5';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"schema-complexType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Complex Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/complexType.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of simple types'
				COND='getBooleanParam("nav.listFrame.schema.xsd.comps.simpleTypes")'
				TARGET_ET='xs:simpleType'
				SCOPE='simple-location-rules'
				RULES={
					'* -> descendant::xs:simpleType';
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.schema.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id';
								'"listFrame"';
								'"simpleTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='184.5';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"schema-simpleType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Simple Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/simpleType.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of element groups'
				COND='getBooleanParam("nav.listFrame.schema.xsd.comps.groups")'
				TARGET_ET='xs:group'
				SCOPE='simple-location-rules'
				RULES={
					'* -> descendant::xs:group';
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.schema.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id';
								'"listFrame"';
								'"groups"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='192';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"schema-group-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Element Groups'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/group.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of global attributes'
				COND='getBooleanParam("nav.listFrame.schema.xsd.comps.attributes")'
				TARGET_ET='xs:attribute'
				SCOPE='simple-location-rules'
				RULES={
					'* -> xs:attribute';
				}
				SORTING='by-attr'
				SORTING_KEY={lpath='@name',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.schema.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id';
								'"listFrame"';
								'"attributes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='167.3';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"schema-attribute-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Attributes'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/attribute.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of attribute groups'
				COND='getBooleanParam("nav.listFrame.schema.xsd.comps.attributeGroups")'
				TARGET_ET='xs:attributeGroup'
				SCOPE='simple-location-rules'
				RULES={
					'* -> descendant::xs:attributeGroup';
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.schema.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id';
								'"listFrame"';
								'"attributeGroups"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='190.5';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"schema-attributeGroup-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Attribute Groups'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/attributeGroup.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='Component Name'
		DESCR='prints the qualified name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../component/componentName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='elementNameExt'
		MATCHING_ET='xs:%localElement'
		TEMPLATE_FILE='../element/elementNameExt.tpl'
		PASSED_PARAMS={
			'$xmlContexts','Array (rootElement, contextElement)';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Schema Link Title'
		MATCHING_ET='xs:schema'
		TEMPLATE_FILE='schemaLinkTitle.tpl'
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='TOC'
		MATCHING_ET='xs:schema'
		<BODY>
			<FOLDER>
				DESCR='with icons'
				COND='getBooleanParam("show.icons")'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						DESCR='containing WSDL file'
						COND='hasServiceAttr("embedded")'
						CONTEXT_ELEMENT_EXPR='findAncestor ("wsdl:definitions")'
						MATCHING_ET='wsdl:definitions'
						FMT={
							sec.outputStyle='pars';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									par.style='ps5';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Containing WSDL'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.style='ps6';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../../images/wsdl.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											ctrl.size.width='21';
											ctrl.size.height='18';
											image.alignment='bottom';
											image.padding.right='2';
										}
									</IMAGE_CTRL>
									<DATA_CTRL>
										EXPR='getXMLDocument().getAttrStringValue("xmlName")'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("WSDL Link Title")'
											HKEYS={
												'contextElement.id';
												'"listFrame"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='XSD'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='2';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<HEADER>
							COND='getIntVar("documented-wsdl-count") > 0'
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps5';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='XSD Components'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "elements"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/elements.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='59.3';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<PANEL>
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='59.3';
													par.style='ps6';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='Elements'
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"listFrame"';
																		'"elements"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<PANEL>
																COND='findHyperTarget (
  Array (
    rootElement.id,
    "listFrame",
    "top-level-elements"
  )
) != null'
																FMT={
																	ctrl.size.width='144.8';
																	txtfl.separator.type='none';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='('
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='top-level'
																				<DOC_HLINK>
																					HKEYS={
																						'rootElement.id';
																						'"listFrame"';
																						'"top-level-elements"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<SEPARATOR>
																				FMT={
																					txtfl.separator.type='text';
																					txtfl.separator.text=' / ';
																				}
																			</SEPARATOR>
																			<TEXT_CTRL>
																				COND='findHyperTarget (
  Array (
    rootElement.id,
    "listFrame",
    "other-elements"
  )
) != null'
																				TEXT='other'
																				<DOC_HLINK>
																					HKEYS={
																						'rootElement.id';
																						'"listFrame"';
																						'"other-elements"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<SEPARATOR>
																				FMT={
																					txtfl.separator.type='none';
																				}
																			</SEPARATOR>
																			<TEXT_CTRL>
																				TEXT=')'
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "complexTypes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/complexTypes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Complex Types'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"complexTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "simpleTypes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/simpleTypes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Simple Types'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"simpleTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "groups"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/groups.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Element Groups'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"groups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/attributes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Attributes'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"attributes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributeGroups"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/attributeGroups.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Attribute Groups'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"attributeGroups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='without icons'
				<BODY>
					<AREA_SEC>
						DESCR='containing WSDL file'
						COND='hasServiceAttr("embedded")'
						CONTEXT_ELEMENT_EXPR='findAncestor ("wsdl:definitions")'
						MATCHING_ET='wsdl:definitions'
						FMT={
							sec.outputStyle='pars';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									par.style='ps5';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Containing WSDL'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.style='ps6';
								}
								<CTRLS>
									<DATA_CTRL>
										EXPR='getXMLDocument().getAttrStringValue("xmlName")'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("WSDL Link Title")'
											HKEYS={
												'contextElement.id';
												'"listFrame"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='XSD'
						FMT={
							sec.spacing.before='2';
						}
						<HEADER>
							COND='getIntVar("documented-wsdl-count") > 0'
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='XSD Components'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "elements"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Elements'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"elements"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<PANEL>
												COND='findHyperTarget (
  Array (
    rootElement.id,
    "listFrame",
    "top-level-elements"
  )
) != null'
												FMT={
													ctrl.size.width='144.8';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='('
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='top-level'
																<DOC_HLINK>
																	HKEYS={
																		'rootElement.id';
																		'"listFrame"';
																		'"top-level-elements"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' / ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    rootElement.id,
    "listFrame",
    "other-elements"
  )
) != null'
																TEXT='other'
																<DOC_HLINK>
																	HKEYS={
																		'rootElement.id';
																		'"listFrame"';
																		'"other-elements"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT=')'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "complexTypes"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Complex Types'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"complexTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "simpleTypes"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Simple Types'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"simpleTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "groups"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Element Groups'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"groups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributes"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Attributes'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"attributes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributeGroups"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Attribute Groups'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"attributeGroups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Link Title'
		MATCHING_ET='wsdl:definitions'
		TEMPLATE_FILE='../../wsdl/file/wsdlLinkTitle.tpl'
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='W5G9zakr5+YQchrNG0xQE7DUnk9LzsreDnr9Z0FQy1s'
</FLEXDOCXYZ_TEMPLATE>